Subject: Re: [syzbot] KASAN: vmalloc-out-of-bounds Read in __bpf_prog_put

From: syzbot <[email-masked]>
Date: Thu, 20 Jan 2022 06:17:13 -0800

syzbot suspects this issue was fixed by commit:

commit 218d747a4142f281a256687bb513a135c905867b
Author: John Fastabend <[email-masked]>
Date:   Tue Jan 4 21:46:45 2022 +0000

    bpf, sockmap: Fix double bpf_prog_put on error case in map_link

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=12919c37b00000
start commit:   662f11d55ffd docs: networking: dpaa2: Fix DPNI header
git tree:       net
kernel config:  https://syzkaller.appspot.com/x/.config?x=fa556098924b78f0
dashboard link: https://syzkaller.appspot.com/bug?extid=5027de09e0964fd78ce1
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=14fccadbb00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=1598d9ebb00000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: bpf, sockmap: Fix double bpf_prog_put on error case in map_link

For information about bisection process see: https://goo.gl/tpsmEJ#bisection